/**
 * Created by Weilin Shi on 2015/8/17.
 */
/*global UniqueSelector*/
var UI = function () {
	"use strict";
	this.msg = "在按住Ctrl键的情况下单击页面上的一个元素";

	this.elm = null;
	this.$u = new UniqueSelector();
	window.$u = this.$u;
	this.$u.invalidClass(['list-group-item-info', 'cur', 'active']);
	this.init(this);
};

UI.prototype.handler = function (e) {
	"use strict";
	if(e.ctrlKey){
		if (e.target.style.zIndex = 1010101010) {
			alert("You clicked on element marker!");
		}
		this.msg = this.$u.gen(e.target);
		this.elm.innerHTML = this.msg;
		this.highlight(e.target);
	}
};

UI.prototype.highlight = function (elm) {
	"use strict";
	var b = elm.getBoundingClientRect(),
		clickSignal = document.createElement('div');
	clickSignal.style.zIndex = 1010101010;
	clickSignal.style.outline = "3px red dotted";
	clickSignal.style.width = b.width + 'px';
	clickSignal.style.height = b.height + 'px';
	clickSignal.style['box-sizing'] = 'border-box';
	clickSignal.style.position = "absolute";
	clickSignal.style.left = b.left + 'px';
	clickSignal.style.top = b.top + 'px';
	clickSignal = document.body.appendChild(clickSignal);
	setTimeout(function() {
		document.body.removeChild(clickSignal);
	}, 2000);
};

UI.prototype.init = function (self) {
	"use strict";
	var wrapper = document.createElement("div");
	wrapper.id = "oc-unique-selector";
	wrapper.style.position = "fixed";
	wrapper.style.bottom = '0px';
	wrapper.style.right = '0px';
	wrapper.style.background = '#323232';
	wrapper.style.color = 'white';
	wrapper.style.padding = '5px';
	wrapper.style.fontSize = '100%';
	wrapper.style.zIndex = 1010101010;
	wrapper.innerHTML = self.msg;

	window.onload = function () {
		self.elm = document.body.appendChild(wrapper);
		document.body.addEventListener("click", function (e) {
			self.handler(e);
		});
	};
};

var ui = new UI();